Xalan-Java 2.7.1: Class StringStack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class StringStack

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--java.util.Stack
                              |
                              +--org.apache.xalan.xsltc.compiler.util.StringStack

public final class StringStack
extends java.util.Stack

See Also:
  Serialized Form

Constructor Summary
`StringStack()`

Method Summary
`java.lang.String` | `peekString()`
`java.lang.String` | `popString()`
`java.lang.String` | `pushString(java.lang.String val)`

Methods inherited from class java.util.Stack
`empty, peek, pop, push, search`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringStack

    public StringStack()

Method Detail

### peekString

    public java.lang.String peekString()

### popString

    public java.lang.String popString()

### pushString

    public java.lang.String pushString(java.lang.String val)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.